Subject: Re: [Last-Call] [Gen-art] Genart last call review of draft-eastlake-rfc6931bis-xmlsec-uris-19

From: Lars Eggert <[email-masked]>
Date: Thu, 20 Jan 2022 15:17:00 +0200

Peter, thank you for your review. I have entered a No Objection ballot for this document.

Lars

> On 2021-12-15, at 1:24, Peter Yee via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Peter Yee
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area Review Team
> (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF
> Chair.  Please treat these comments just like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-eastlake-rfc6931bis-xmlsec-uris-19
> Reviewer: Peter Yee
> Review Date: 2021-12-14
> IETF LC End Date: 2021-12-15
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: This update document corrects the IANA’s XML Security URIs registry.
> It also fixes errata in RFC 6931. There are a few nits that should be fixed
> prior to publication. [Ready with Nits]
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits/editorial comments:
> 
> General:
> 
> Replace all occurrences of “US National Institute of Science and Technology”
> with “US National Institute of Standards and Technology”. While I’m sure they
> would appreciate the upgrade to their remit (along with a concomitant increase
> in funding), I suspect the the old US National Bureau of Standards still wants
> to be known for being in the standards business. Sort of like the IETF. ;-)
> 
> Specific:
> 
> Page 11, section 2.2.3, 1st paragraph, 2nd sentence: change “It’s” to “Its”.
> 
> Page 12, section 2.2.6, 1st paragraph, 1st sentence: append a comma after
> “stateful”.
> 
> Page 13, 1st paragraph, 2nd sentence (fragment?): append a colon at the end of
> the fragment “An example of use is”. Do the same in the equivalent place in
> each of the 2.3.x sections.
> 
> Page 13, 2nd paragraph, 2nd sentence: change “pre-pended” to “prepended”.
> 
> Page 15, 1st paragraph, last sentence: append a comma after RIPEMD160.
> 
> Page 15, 2nd paragraph, 1st sentence: append “to” after “referred”.
> 
> Page 16, section 2.3.8, 1st paragraph, last fragment: append a colon after the
> fragment. For consistency and readability, add blanks lines around the “hex”
> line as was done in section 2.3.1.
> 
> Page 19, section 2.3.12, 1st paragraph, 2nd sentence: change “advatages” to
> “advantages”.
> 
> Page 19, section 2.3.12, 1st paragraph, 3rd sentence: change “choosen” to
> “chosen”.
> 
> Page 20, end of section 2.4: there appears to be an extra blank line compared
> to other section separators. What can I say?
> 
> Page 21, section 2.6.1, 1st paragraph, last sentence (fragment): append a colon.
> 
> Page 23, section 2.6.5, 1st paragraph, 1st sentence: change “128-bit key sizes”
> to “a 128-bit key size”.
> 
> Page 25, section 2.7.2, 1st paragraph, 2nd sentence: change “exacty” to
> “exactly”.
> 
> Page 27, section 3: append a comma after “below”. Append a comma after “3.2”.
> 
> Page 32, section 4.1, last paragraph. This text essentially reiterates the note
> from the beginning of the section about the part of the URI being omitted.
> Perhaps the text could also be omitted as repetitious?
> 
> Page 35, last paragraph: while not harmful, the text in this paragraph almost
> completely mirrors the text in the first paragraph of the section on page 32.
> Perhaps this one can be deleted?
> 
> Page 36, section 5.2, 2nd paragraph, 2nd sentence: change “Criterion” to
> “Criteria”.
> 
> Page 38, section 6, 3rd paragraph: the MD5 mention here is presumably subsumed
> by the 2nd paragraph’s more specific discussion of MD5 and could perhaps be
> eliminated in the 3rd paragraph.
> 
> Page 40, Appendix A, 3rd item, section 2.2.6 row: change “amd” to “and”.
> 
> Page 40, Appendix A, 5th item: change “approriate" to “appropriate”.
> 
> Page 41, Appendix B, 1st paragraph, 2nd sentence: change “Section” to
> “Sections”. Also change the bare “Bad” to “bad”.
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art